Summary
Gets all known automations
Description
Gets all known automations returned in alphabetical order
Route
GET /automation_catalog/automations
Roles
admin
other
readonly
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| queryParameters |
object |
yes |
Options for query parameters |
Copied to Clipboard
{
"type": "object",
"properties": {
"queryParameters": {
"title": "queryParameters",
"type": "object"
}
},
"required": [
"queryParameters"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| result |
array |
List of all automation documents |
Copied to Clipboard
{
"list": [
{
"_id": "548656d13dddefce159ef18f",
"name": "test",
"data": {
"gbac": {
"write": [
"f4f5d4947236b6e5ae62fdeb"
],
"read": [
"9f144552ce0184c1825809ca",
"6c0b80b3071c827ff08e19de",
"45d7e050ec22ba83688fb9f6",
"9291e788d3e8c1b56832e155"
]
},
"lastUpdated": "2019-11-25T22:51:39.201Z",
"description": "pariatur do labore esse aute",
"workflowId": "8e3695fe-c5bf-4286-ae83-186b3fea1c1a",
"formId": "5f813122ee4f890f6f86d718"
},
"lastModifiedBy": "consectetur dolor laboris",
"lastRunAt": "2019-11-25T22:51:39.201Z",
"nextRunAt": "2019-11-25T22:51:39.201Z",
"repeatInterval": "2 months",
"migratedToOM": true,
"correspondingOMAutomationId": "09b9dd234aeff8e3abb65a14"
},
{
"_id": "5d65da52827bb94164f171ad",
"name": "test",
"data": {
"gbac": {
"write": [
"6b204f359de84e7b8d39255c"
],
"read": [
"8eb63e94dd5cba2f8548f790"
]
},
"lastUpdated": "2019-11-25T22:51:39.201Z",
"description": "id laboris",
"workflowId": "8e3695fe-c5bf-4286-ae83-186b3fea1c1a",
"formId": "bb1062324dae13401ecb1966"
},
"lastModifiedBy": "laborum elit pariatur irure sed",
"lastRunAt": "2019-11-25T22:51:39.201Z",
"nextRunAt": "2019-11-25T22:51:39.201Z",
"repeatInterval": "2 months",
"migratedToOM": true,
"correspondingOMAutomationId": "f5395a5b937321255a57a9cb"
}
],
"total": 40637679,
"skip": 52142544,
"limit": 88877524
}
Copied to Clipboard
{
"title": "result",
"type": "object",
"properties": {
"list": {
"type": "array",
"items": {
"$ref": "automationDocument"
}
},
"total": {
"type": "integer"
},
"skip": {
"type": "integer"
},
"limit": {
"type": "integer"
}
}
}